> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh

## Overview

Allows the client to refresh its JWT token without having to provide credentials again. The current token must still be valid when calling this endpoint. A new token is returned with a renewed expiry.

## HTTP request

`POST /Agent/Account/Refresh`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"seconds": Required(Int(0 < PSeconds <= 3600))
}
```

## Input parameters

| Parameter | Description                                                   |
| --------- | ------------------------------------------------------------- |
| PSeconds  | Requested number of seconds before the new JWT token expires. |

## Response (JSON)

```json theme={null}
{
	"jwt": Required(Str(PJwt)),
	"expires": Required(DateTime(PExpires))
}
```

## Response parameters

| Parameter | Description                                                                                   |
| --------- | --------------------------------------------------------------------------------------------- |
| PJwt      | The new JWT token. This token is sent as a Bearer token in requests requiring authentication. |
| PExpires  | When the new JWT token expires.                                                               |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
